package com.gyee.wisdom.dao.taoscz;

import com.gyee.wisdom.common.data.timeseries.TsData;
import com.gyee.wisdom.common.data.timeseries.TsPoint;
import com.gyee.wisdom.dao.timeseries.IDataChangeDao;
import com.gyee.wisdom.dao.timeseries.TaosczDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Slf4j
@Component
@TaosczDao
public class TaosDataChangeDao implements IDataChangeDao {

    @Override
    public void registerTopic(String topic, List<TsPoint> tsPoints) {

    }

    @Override
    public void unRegisterTopic(String topic) {

    }

    @Override
    public Map<String, TsData> getTopicDataChange(String topic) {
        return null;
    }
}
